OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDF

# MDF_ASDriverTable Class Reference

`#include <MDF_ASDriverTable.hxx>`

## Public Member Functions
Standard_EXPORT | MDF_ASDriverTable ()
Standard_EXPORT void | SetDriver (const Handle(MDF_ASDriver)&anHDriver)
Standard_EXPORT void | SetDrivers (const Handle(MDF_ASDriverHSequence)&aDriverHSeq)
Standard_EXPORT const MDF_TypeASDriverMap & | GetDrivers (const Standard_Integer aVersion=0)
Standard_EXPORT Standard_Boolean | GetDriver (const Handle(Standard_Type)&aType, Handle(MDF_ASDriver)&anHDriver, const Standard_Integer aVersion=0) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | myVersion
MDF_TypeASDriverMap | myMap
MDF_TypeDriverListMapOfASDriverTable | myMapOfLst

## Constructor & Destructor Documentation

Standard_EXPORT MDF_ASDriverTable::MDF_ASDriverTable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean MDF_ASDriverTable::GetDriver | ( | const Handle(Standard_Type)& | aType,
|  | Handle(MDF_ASDriver)& | anHDriver,
|  | const Standard_Integer | aVersion = `0`
| ) | const

Standard_EXPORT const MDF_TypeASDriverMap& MDF_ASDriverTable::GetDrivers | ( | const Standard_Integer | aVersion = `0` | ) |

Standard_EXPORT const MDF_ASDriverTable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MDF_ASDriverTable::SetDriver | ( | const Handle(MDF_ASDriver)& | anHDriver | ) |

Standard_EXPORT void MDF_ASDriverTable::SetDrivers | ( | const Handle(MDF_ASDriverHSequence)& | aDriverHSeq | ) |

## Field Documentation

MDF_TypeASDriverMap MDF_ASDriverTable::myMap`[private]`

MDF_TypeDriverListMapOfASDriverTable MDF_ASDriverTable::myMapOfLst`[private]`

Standard_Integer MDF_ASDriverTable::myVersion`[private]`

The documentation for this class was generated from the following file:

- MDF_ASDriverTable.hxx